Subject: bug#59208: 29.0.50; tab-bar-auto-width plus display space cpu spin

From: Aaron Jensen <[email-masked]>
Date: Sun, 13 Nov 2022 14:17:11 -0500

On Sun, Nov 13, 2022 at 1:18 PM Juri Linkov <[email-masked]> wrote:
>
> close 59208 29.0.50
> thanks
>
> > I should note that my actual tab function has text as well (the tab
> > name) and then I add a space at the end.  The spaces are just visual
> > padding.
>
> I didn't try with text, I tried only with spaces as in your test case:
>
> >         (defun aj/tab-bar-tab-name-format (tab i)
> >         (propertize
> >         (propertize " " 'display '(space :width (8)))
> >         'face (funcall tab-bar-tab-face-function tab)))
>
> But I believe that all cases should be fixed now
> by the commit 443bd35e86.

Thanks, confirmed.

As an aside, auto-width doesn't work very well when using a
variable-pitch font for your tab bar. Specifically, for me it doesn't
take up the full width when I have enough tabs that would fill that
width.

Aaron